test-unix-face: Add test case for unix face

Refs: #1377

Change-Id: I04273bc5b917b09b117f9e7222d840ddb0e7cc80
diff --git a/test_unixface/unix-face-test.sh b/test_unixface/unix-face-test.sh
new file mode 100755
index 0000000..0599a8f
--- /dev/null
+++ b/test_unixface/unix-face-test.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+mkdir -p logs
+clean_up() {
+    r=$(sudo killall ndn-traffic-server 2>&1)
+    r=$(sudo killall nfd 2>&1)
+}
+sudo nfd > logs/nfd.log 2>&1 &
+sleep 2
+ndn-traffic-server NDNTrafficServer.conf > logs/server.log 2>&1 &
+sleep 2
+echo "Sending interests..."
+ndn-traffic -i 100 -c 100 NDNTrafficClient.conf > logs/client.log 2>&1
+clean_up
+output=$(grep "Total Interest Loss" logs/client.log | head -1 | cut -d= -f2 | cut -d' ' -f2 | cut -d% -f1)
+if [[ -z $output ]]
+then
+    echo "ndn-traffic client does not end normally. See logs/client.log"
+    exit 1
+fi
+if [[ $output != '0' ]]
+then
+    echo "Expected no interest Loss. Actual: $output%"
+    echo "For more information, please examine the log at \"$(pwd)/logs\""
+    exit 2
+fi
+echo "Unix Face Test PASSED"